
Figure - 需求 Requirement #111230
需求 Requirement # 110107 (New): 【Locked需求】总票

需求 Requirement # 110997 (分析&分解中 In Analysis): 【Locked需求】Launcher UI需求

【Locked需求】Launcher UI需求-待机屏保功能
2022-08-12 15:31 - 方案组-RD3_CDTS 王浩云

Status: 分析&分解中 In Analysis Start date: 2022-08-12

Priority: Normal Due date: 2022-10-19

Assignee: CD APP-王营 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Description

1. 屏保展示方式：

    -  通过走马灯（即定时轮播）形式的展示所选择的屏保，若所选屏保只有一张图片，则该图片一直展示

2. 屏保设置：

    -  设置路径：setting-显示-屏保

    -  屏保时机设置：在屏保设置中进行屏保时机的设置，在亮屏待机状态下，无应用打开运行，选择屏保生效的时机：20s，60s（默认项

），2min，3min，5min，10min

3. 屏保选择：

    -  自带屏保：选择系统提供的图片作为屏保

    -  时钟屏保：选择当前的时钟作为屏保

    -  活动主题屏保（默认项）：选择云端下发的活动主题素材作为屏保，主题可多选

    -  自定义屏保：

      1. 选择相册图片

      2. 选择自定义上传图片

4. 本地机制：

    -  删除机制：对于过期，下架，撤回的活动主题屏保，需要立即进行素材删除并保留首张素材的缩略图，并打上失效的标签，缩略图

到期7天后自动删除，用户再次进入提示：***屏保素材已到期删除

    -  补进机制：当主题已设置的所有主题活动到期后，屏保素材剩下，默认补进生效素材中的第一个主题活动作为屏保。

5. 接口联动：

    -  副屏需要从中控获取活动主题屏保的下载地址

    -  副屏需要从中控获取活动主题屏保的生效时间及到期时间，判断屏保是否在有效期内

    -  副屏需要从中控获取用户自定义上传的屏保图片地址，并且下载，存放至副屏，用户可以选择

    -  下载状态，需要反馈状态至中控，中控返回至云端

6. 进入屏保得方式：

    -  满足屏保时机，进入屏保

    -  控制中心，电源选项，进入屏保

    -  手机app下发指令，进入屏保

7. 退出屏保方式：

    -  向上滑动屏幕，解除屏保，上滑作为统一返回手势

需求PRD链接：https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf#

参考4.1.5章节内容

History

#1 - 2022-08-15 17:09 - 方案组-RD3_CDTS 王浩云

- Assignee changed from FW&MW2组_DLTS 刘显鹤 to CD APP-王营

#2 - 2022-12-05 21:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

167442 general/platform/vendor/thundercom

2025-07-04 1/19

Pre_figure_turbox-c2130c-la1.1-qssi12 huangpeng1216@thundersoft.com

https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf


m/apps/ScreenSaver -dev

CommitMessage FW:ScreenSaver: Midify screensaver list item space and scrollbar style

#3 - 2022-12-05 21:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

167641 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

CommitMessage FW:ScreenSaver: Add Custom local picture apply logic

#4 - 2022-12-08 10:16 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

167696 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Modify toast style and add list fade effect1.Modify toast style and add list fade effectTC-RID: 1201-0300601IssueID: TS-R-DF-111230Change-Id:

I2b1a264a5dceb16105e9747f9afe75d9678545ef

#5 - 2022-12-22 20:41 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154184 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver:Add base mvvm code and main page1.Add base mvvm code2.Add main pageTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

I4d4faf94edfd31db693d75890e3e133f0b083fa4

#6 - 2022-12-22 20:42 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154879 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add Clock ScreenSaver1.Add Clock ScreenSaver2.Add Kotlin SupportTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

Ie076803a6bc63847359d3014742e7e0abbb1a9be
#7 - 2022-12-22 20:42 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154920 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add screensaver Clock UI logic1.Add screensaver Clock UI logicTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

I589933979c39caadabfdf97398cb09cedc6162da

#8 - 2022-12-22 20:43 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155289 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Remove Androidx databinding1.Remove androidx databinding2.Add libBase AAR3.Add libMvvm AARTC-RID: 1201-0300602IssueID:

TS-R-DF-111230Change-Id: I6aa433dbe72d7165634dce401bd3c941ba8bc331

#9 - 2022-12-22 20:43 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155380 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add Android.pb support system build1.Add Android.pb support system build2.Support kotlin and Androidx build3.Add SettingsLib

SuppprtTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id: I64c6db3936b4d487668c34cf50aeb8587a9d7027

#10 - 2022-12-22 20:43 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155388 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add screensaver clock preview1.Add screensaver clock previewTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

2025-07-04 3/19



I92a921b19ccba0732d4bde39b150248916dfc455

#11 - 2022-12-22 20:44 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155933 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW: ScreenSaver: Add ScreenSaver to mk file1.Add ScreenSaver to mk file and build in system.Change-Id:

If1d19c18db0e33cb19d6c668d3b8c5c52fbc6207TC-RID: 1201-0300602IssueID: TS-R-DF-111230

#12 - 2022-12-22 20:44 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

156221 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangwei0629@thundersoft.com

APP:ScreenSaver: Add Android bp for ScreenSaver1.Add Android.bpTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

I9cf081939d7a87afb8ecc4266cf3958858fbcdc1

#13 - 2022-12-22 20:45 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

157526 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Reconstruct screensaver code structure1.Reconstruct screensaver code structure3.Add phototable moduleTC-RID: 1201-0300602IssueID:

TS-R-DF-111230Change-Id: I67c5f0d53f1d9cf0749b799b57d80fbaed088164

#14 - 2022-12-22 20:46 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

157804 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com
FW:ScreenSaver: Add ScreenSaver theme api request logic1.Add ScreenSaver theme api request logic3.Add theme api testTC-RID: 1201-0300602IssueID:

TS-R-DF-111230Change-Id: I5f494514da8aae163c006cc58a11418eb56f3f69

#15 - 2022-12-22 20:46 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

157971 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add ScreenSaver theme api sign logic1.Add ScreenSaver theme api sign logic2.Add Sign API HttpInterceptorTC-RID: 1201-0300602IssueID:

TS-R-DF-111230Change-Id: Ic2f12a7d0e1e67df8ad960059e6ad8648467814a

#16 - 2022-12-22 20:46 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

157974 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Hide screensaver application icon in launcher1.Hide screensaver application icon in launcherTC-RID: 1201-0300602IssueID:

TS-R-DF-111230Change-Id: Ibe5f3fa3293f3586500d1918548087fe08218fa7

#17 - 2022-12-22 20:46 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

158024 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add third parties library for system build1.Add Rxjava jar2.Add Retrofit jar3.Add OkHttp jar4.Add Glige Jar5.modify Android.bpTC-RID:

1201-0300602IssueID: TS-R-DF-111230Change-Id: Iec9ac01eadcc74f89751a6923acbc101a303a761

#18 - 2022-12-22 20:47 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

158504 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

2025-07-04 5/19



FW:ScreenSaver: Add System ScreenSaver main page logic1.Add System ScreenSaver main page logicTC-RID: 1201-0300602IssueID:

TS-R-DF-111230Change-Id: I1a6ec1f3bed4aeb85bd7cbd3a19814845929cde9

#19 - 2022-12-22 20:47 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

158669 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add system screenSaver assets and service1.Add system screenSaver assets2.Add system screenSaver DreamService3.Add system screenSaver

apply logicTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id: I69f8321951a9cad460ce38e141bf233693af3f74

#20 - 2022-12-22 20:47 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

158691 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

AF:Screensaver: Replace screensaver entry to custom1.Replace screensaver entry to customTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

I6b72b97adeaa4759830afbedbf43f7aa39c2f6a4

#21 - 2022-12-22 20:47 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159007 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Dynamically add screensaver page1.Dynamically add screensaver page2.Configuring System Dependencies3.Add system build signTC-RID:

1201-0300602IssueID: TS-R-DF-111230Change-Id: I053d65e8e4665a55ea1dcea89ab78af0de14f75f

#22 - 2022-12-22 20:47 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

2025-07-04 6/19



159084 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add system and clock screensaver apply logic1.Add system and clock screensaver apply logicTC-RID: 1201-0300602IssueID:

TS-R-DF-111230Change-Id: I80002d9c10607494b0d9a698dc35adf676dc5abd

#23 - 2022-12-22 20:48 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159111 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add screensaver init page1.Display the corresponding page according to the current screensaver  type2.Add system screensaver select

statusTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id: I0ebaacbcdfd24edc3342eb0cb7f6c3a5743e901a

#24 - 2022-12-22 20:48 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159179 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Change default screensaver1.Change default screensaverTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

I910b15968ecf3d12e309100e2d3677234c58cdfd

#25 - 2022-12-22 20:48 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159267 general/platform/vendor/thundercom

m/overlay

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Change default screensaver in overlay1.Change default screensaver in overlayTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

I6759ec84a36a924f77875753e026ed338a8817b5

#26 - 2022-12-22 20:48 - CD FW-王伟

Gerrit Merge Information：
ID Project Branch Uploader

159423 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add system and clock screensaver preview logic1.Add system screensaver preview logic2.Add clock screensaver preview logicTC-RID:

1201-0300602IssueID: TS-R-DF-111230Change-Id: I23bc7d1c533df60578efd66bb9a98881c2a7ee7e

#27 - 2022-12-22 20:48 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159672 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add system and clock screensaver apply status1.Add system and clock screensaver apply status2.Adjust kotlin versionTC-RID:

1201-0300602IssueID: TS-R-DF-111230Change-Id: If6eb642004430d5091bb69c5ab4ea29937653ec7

#28 - 2022-12-22 20:48 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159682 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add system and clock screensaver applied icon1.Add system and clock screensaver applied iconTC-RID: 1201-0300602IssueID:

TS-R-DF-111230Change-Id: I7837c60234a2965ff1d298da3b7154fc935d9c7b

#29 - 2022-12-22 20:49 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159825 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add immersive status bar and navigation bar1. Add immersive status bar and navigation barTC-RID: 1201-0300602IssueID:

TS-R-DF-111230Change-Id: Id2c3591a36ae556c5b1fde5a9e20db2f4e498db6

#30 - 2022-12-22 20:49 - CD FW-王伟
Gerrit Merge Information：

ID Project Branch Uploader

159861 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Unified screensaver resources1. Unified screensaver resourcesTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

Idbfcc6251f4a9f5af26b429cb3f1934cac087464

#31 - 2022-12-22 20:49 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159951 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add theme screensaver base page1. Add theme screensaver base pageTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

I2a4d5368ae8695885a60002d699dc6c6bff6e7ff

#32 - 2022-12-22 20:49 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160302 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add theme screensaver page logc1. Add theme screensaver page default theme logic2. Aad theme screensaver page default theme detail page

logicTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id: I30bda2495c3debfa3fd8c2e0274dcc9b71158601

#33 - 2022-12-22 20:50 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160361 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Modify radiobutton style1. Modify radiobutton styleTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

I18c7f4225a56d244d87d27f11ec7cdd82a0affc9

#34 - 2022-12-22 20:50 - CD FW-王伟

2025-07-04 9/19



Gerrit Merge Information：

ID Project Branch Uploader

160588 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add theme screensaver data logic and apply1. Add theme screensaver base data logic2. Add theme screensaver apply logic3. Add theme

screensaver subscribed view4. Add current applyed theme titleTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

If963b50fcee40e1d36d6850b26577d3a9890efc3

#35 - 2022-12-22 20:50 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160739 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add theme subscribe logic1. Add theme subscribe logicTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

I36ddbbcc1ac3022c383cf65f7e5830a027fd5055

#36 - 2022-12-22 20:50 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160774 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add theme detail select and unselect logic1. Add theme detail select and unselect logicTC-RID: 1201-0300602IssueID:

TS-R-DF-111230Change-Id: I9ce0a941c6ec72f8fcd35e8dfa0c55dfecc0ba58

#37 - 2022-12-22 20:51 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160995 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com
FW:ScreenSaver: Add theme theme preview page1. Add theme theme preview page2. Add fragment navigation logic3. Remove DetailActivity4. Add theme

preview logicTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id: Ic54b7e56d6545590f0c6426e829c572c791ea11b

#38 - 2022-12-22 20:51 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

161207 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Reconstruct screensaver preview logic1. Reconstruct screensaver theme preview logic2. Reconstruct screensaver system preview logicTC-RID:

1201-0300602IssueID: TS-R-DF-111230Change-Id: I803326ac5e4bbea038793b714f7fdd065175439e

#39 - 2022-12-22 20:51 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

161384 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add page back press logic1. Add page back press logicTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

I5b4fad8056ec9f49534d1fe8c643a8de92d5ceb8

#40 - 2022-12-22 20:51 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

161566 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add simulated preview clock page1. Add simulated preview clock page2. Fix first in screensaver crash bugTC-RID: 1201-0300602IssueID:

TS-R-DF-111230Change-Id: I65a708dd0a45a38b73ab35b7ff05f80c2d83f954

#41 - 2022-12-22 20:52 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

162222 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

2025-07-04 11/19



FW:ScreenSaver: Adjust screensaver theme style1. Adjust screensaver theme styleTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

I1cfd6233bdf2687ad1e4824f7dea91134708f9ac

#42 - 2022-12-22 20:52 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

162223 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Modify gitignore file and commit templete1. Modify gitignore file and commit templeteTC-RID: 1201-0300602IssueID:

TS-R-DF-111230Change-Id: I9a8329a0d9e7ceefb4a5c3ec92fe48319b7abce1

#43 - 2022-12-22 20:52 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

162227 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add page jump anim1. Add page jump animTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

Iaa57a09fbb66046325ee486926023531cd0db14c

#44 - 2022-12-22 20:52 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

162230 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Add custom screensaver basic page1. Add custom screensaver basic page2. Add custom screensaver basic serviceTC-RID: 1201-0300602IssueID:

TS-R-DF-111230Change-Id: I010070606571b5a07d90a8b563fba643f9b60244

#45 - 2022-12-22 20:52 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

162234 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

2025-07-04 12/19



FW:ScreenSaver: Add custom screensaver other picture logic1. Add custom screensaver other picture logic2. Add custom screensaver other picture

previewTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id: I1d44446474e75e5a531c836f5f100b8aaab7ba8e

#46 - 2022-12-22 20:54 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

164556 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Optimize all click events of screensaver1. Optimize all click events of screensaverTC-RID: 1201-0300601IssueID: TS-R-DF-111230Change-Id:

Ia0db539de407a58c82a7258459e851ce9cdb7f43

#47 - 2022-12-22 20:55 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

165164 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW: ScreenSaver: Change keystore1. Change a new keystore for screensaver.TC-RID: 1201-0300601IssueID: TS-R-DF-111230Change-Id:

I45611d330dc020ef4ef29545ed9912c35e116061

#48 - 2023-03-09 20:28 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186346 general/platform/vendor/thundercom

m/overlay

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: ScreenSaver: Modify default screensaver1.Change default screensaver to system screensaver.TC-RID: 1201-0300601IssueID: TS-R-DF-111230Change-Id:

Iea6e4a30d24237dc35f4c807beae83481bad7f18

#49 - 2023-06-20 15:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

208507 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

2025-07-04 13/19



Revert AF: ScreenSaver: Disable statusBar touch in DreamActivityThis reverts commit 49fbf61588332b8ff86b2ecaa007530a0e1cf43a.Reason for revert: Customer

want to remove this featureTC-RID: 1201-0300601IssueID: TS-R-DF-111230Change-Id: Ic439303e0f1fa4e95abc563f661e8d9bf0d34e1f

#50 - 2023-06-20 15:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

208543 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: ScreenSaver： Close screen after dream started 5 seconds1.Single touch can exit screensaver.2.Close screen after dream started 5 seconds later.TC-RID:

1201-0300601IssueID: TS-R-DF-111230Change-Id: If8fa550556af84af38c33f0ea148b310f96bb9fd

#51 - 2023-06-25 21:34 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209662 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

Revert AF: ScreenSaver: Disable statusBar touch in DreamActivityThis reverts commit 49fbf61588332b8ff86b2ecaa007530a0e1cf43a.Reason for revert: Customer

want to remove this featureTC-RID: 1201-0300601IssueID: TS-R-DF-111230Change-Id: Ic439303e0f1fa4e95abc563f661e8d9bf0d34e1f(cherry picked from

commit eed92f0ac270140961abe896beaa80428d730715)

#52 - 2023-06-26 11:49 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209695 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF: ScreenSaver： Close screen after dream started 5 seconds1.Single touch can exit screensaver.2.Close screen after dream started 5 seconds later.TC-RID:

1201-0300601IssueID: TS-R-DF-111230Change-Id: If8fa550556af84af38c33f0ea148b310f96bb9fd(cherry picked from commit

2b03a8a697eeeb94ccd4c3c3e72117cf362434b9)

#53 - 2023-07-12 14:25 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

2025-07-04 14/19



214174 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:ScreenSaver:modify default pic when pic load errorTC-RID: 1201-0300602IssueID: TS-R-DF-111230,IOVDEV-37702Change-Id:

I6a769239f54c772170b10630132f3e4a923cadb8

#54 - 2023-07-13 21:50 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

214745 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:ScreenSaver:modify default pic when pic load errorTC-RID: 1201-0300602IssueID: TS-R-DF-111230,IOVDEV-37702Change-Id:

I6a769239f54c772170b10630132f3e4a923cadb8(cherry picked from commit d7ae954a65e658cc4dc595f8dcdd3c295999f6ff)

#55 - 2023-08-11 13:59 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

302533 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:ScreenSaver:Fix the issue of screen flickering when the screensaver automatically turns off.TC-RID: 1201-0300602IssueID:

TS-R-DF-111230,IOVDEV-39493Change-Id: I8584bdcb536090e3e221fc34e2edf0777b809b8f

#56 - 2023-08-14 18:56 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

303208 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:ScreenSaver:Fix the issue of screen flickering when the screensaver automatically turns off.TC-RID: 1201-0300602IssueID:

TS-R-DF-111230,IOVDEV-39493Change-Id: I8584bdcb536090e3e221fc34e2edf0777b809b8f(cherry picked from commit

66516bc39c8a1ac628b0ba5778fe466eec53a0d5)

#57 - 2023-09-11 22:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

311569 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

2025-07-04 15/19



AF:ScreenSaver:Add an option switch for automatically turning off the screen in screensaver mode.TC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

Ib5176d52a1c971693c08eda3ee60dcbfe45ff325

#58 - 2023-09-11 22:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

311571 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:ScreenSaver:Add an option switch for automatically turning off the screen in screensaver mode.TC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

I463f220c9a88e6ff0ffb9cb80754be718b6ed794

#59 - 2023-09-22 11:44 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

314523 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:ScreenSaver:VC1 UI V1.2TC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id: I80fa6866f8c701cd88b7e0e691e453cc74c1692b

#60 - 2023-09-24 12:54 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

315504 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:ScreenSaver:VC1 UI V1.2TC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id: I80fa6866f8c701cd88b7e0e691e453cc74c1692b(cherry picked from

commit 23b348d5555fe1da51ead4efea0af533b43831dd)

#61 - 2023-10-07 11:33 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

317229 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:ScreenSaver:Add an option switch for automatically turning off the screen in screensaver mode.TC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

Ib5176d52a1c971693c08eda3ee60dcbfe45ff325(cherry picked from commit 66424644d140dfd39e509a47c25694206c948c31)

2025-07-04 16/19



#62 - 2023-10-07 11:34 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

317230 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:ScreenSaver:Add an option switch for automatically turning off the screen in screensaver mode.TC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

I463f220c9a88e6ff0ffb9cb80754be718b6ed794(cherry picked from commit 064d2d43a9f137fa720be879ab639aeec71b0a20)

#63 - 2023-10-12 15:05 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

318534 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:ScreenSaver:fix redundant round lineTC-RID: 1201-0300602IssueID: TS-R-DF-111230,IOVDEV-44746Change-Id:

I5f00fa0df580b1b95b4ac62d53578477b7057969

#64 - 2023-10-24 09:29 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

321317 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:ScreenSaver:MCE UI 2.11.MCE ui 2.12.change sw683dp to sw720dpTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

I33176a2d645daa0ecc0488f31c3f76701ddddc32

#65 - 2023-10-27 01:29 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323285 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:ScreenSaver:fix redundant round lineTC-RID: 1201-0300602IssueID: TS-R-DF-111230,IOVDEV-44746Change-Id:

I5f00fa0df580b1b95b4ac62d53578477b7057969(cherry picked from commit 57f603230c30e7e538c845a78a0f9fce9cb52097)

2025-07-04 17/19



#66 - 2023-10-27 02:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323330 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:ScreenSaver:MCE UI 2.11.MCE ui 2.12.change sw683dp to sw720dpTC-RID: 1201-0300602IssueID: TS-R-DF-111230Change-Id:

I33176a2d645daa0ecc0488f31c3f76701ddddc32(cherry picked from commit cd467686064d91a44c6927b4b62c7a6bf16d51bf)

#67 - 2023-10-31 10:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

324066 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:ScreenSaver:fix redundant round lineextend the vc1 commit to mceTC-RID: 1201-0300602IssueID: TS-R-DF-111230 IOVDEV-44746Change-Id:

I2f6e5d86367eae397a0b321e2d0733a86c3d9ae6

#68 - 2023-10-31 19:26 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

324488 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:ScreenSaver:fix redundant round lineextend the vc1 commit to mceTC-RID: 1201-0300602IssueID: TS-R-DF-111230 IOVDEV-44746Change-Id:

I2f6e5d86367eae397a0b321e2d0733a86c3d9ae6(cherry picked from commit 2145d491cecb4f800c29c88f1fffcd7d3094779f)

#69 - 2023-11-13 17:00 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

327711 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:ScreenSaver: Modify text of no more data.TC-RID: 1201-0300602IssueID: TS-R-DF-111230, QMV-761Change-Id:

I709b8ae8aa9779454e4a4aed5b6a40619b23e7e7

2025-07-04 18/19



#70 - 2023-11-15 19:13 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

328509 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:ScreenSaver:fix redundant round lineTC-RID: 1201-0300602IssueID: TS-R-DF-111230 IOVDEV-44746Change-Id:

I9005a3cd996c841dc584ef49cc6b1e88f517101b

#71 - 2023-11-17 18:58 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

329041 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:ScreenSaver:fix redundant round lineTC-RID: 1201-0300602IssueID: TS-R-DF-111230 IOVDEV-44746Change-Id:

I9005a3cd996c841dc584ef49cc6b1e88f517101b(cherry picked from commit daf3e8540b049ee45a2f8b4e71b8eda3e0a3fe90)

#72 - 2023-11-20 13:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

329422 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:ScreenSaver: Modify text of no more data.TC-RID: 1201-0300602IssueID: TS-R-DF-111230, QMV-761Change-Id:

I709b8ae8aa9779454e4a4aed5b6a40619b23e7e7(cherry picked from commit 375cdf42358c47eec0f3890b8b53b05701a6c552)

2025-07-04 19/19


